org.jbpm.services.task.commands

## Class UserGroupCallbackTaskCommand<T>

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<T>

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<T>, org.kie.api.command.ExecutableCommand<T>
  Direct Known Subclasses:
    ActivateTaskCommand, AddAttachmentCommand, AddCommentCommand, AddContentFromUserCommand, AddPeopleAssignmentsCommand, AddTaskCommand, AddTaskInputsCommand, CancelDeadlineCommand, CancelTaskDeadlineCommand, ClaimNextAvailableTaskCommand, ClaimTaskCommand, CompleteTaskCommand, DelegateTaskCommand, DeleteFaultCommand, DeleteOutputCommand, ExitTaskCommand, FailTaskCommand, ForwardTaskCommand, GetAllAdminAuditTasksByUserCommand, GetAllAuditTasksByStatusCommand, GetAllGroupAuditTasksByUserCommand, GetContentByIdForUserCommand, GetContentMapForUserCommand, GetSubTasksCommand, GetTaskAssignedAsBusinessAdminCommand, GetTaskAssignedAsExcludedOwnerCommand, GetTaskAssignedAsInitiatorCommand, GetTaskAssignedAsPotentialOwnerByExpDateCommand, GetTaskAssignedAsPotentialOwnerCommand, GetTaskAssignedAsPotentialOwnerPagingCommand, GetTaskAssignedAsRecipientCommand, GetTaskAssignedAsStakeholderCommand, GetTaskOwnedByExpDateBeforeDateCommand, GetTaskOwnedByExpDateCommand, GetTaskPropertyCommand, GetTasksByVariableNameAndValueCommand, GetTasksByVariableNameCommand, GetTasksOwnedCommand, ListTaskNotificationsCommand, ListTaskReassignmentsCommand, NominateTaskCommand, ProcessSubTaskCommand, ReleaseTaskCommand, RemovePeopleAssignmentsCommand, RemoveTaskCommand, RemoveTaskDataCommand, ResumeTaskCommand, ScheduleTaskDeadlineCommand, SetTaskPropertyCommand, SkipTaskCommand, StartTaskCommand, StopTaskCommand, SuspendTaskCommand, UpdateTaskCommand

      public class UserGroupCallbackTaskCommand<T>
      extends TaskCommand<T>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserGroupCallbackTaskCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addEmailFromCallbackOperation(String emailId, org.kie.internal.task.api.TaskContext context)`
    `protected void` | `addGroupFromCallbackOperation(String groupId, org.kie.internal.task.api.TaskContext context)`
    `protected org.kie.api.task.model.User` | `addUserFromCallbackOperation(String userId, org.kie.internal.task.api.TaskContext context)`
    `protected org.kie.api.task.model.User` | `doCallbackAndReturnUserOperation(String userId, org.kie.internal.task.api.TaskContext context)`
    `protected boolean` | `doCallbackEmailOperation(String emailId, org.kie.internal.task.api.TaskContext context)`
    `protected boolean` | `doCallbackGroupOperation(String groupId, org.kie.internal.task.api.TaskContext context)`
    `protected List<String>` | `doCallbackGroupsOperation(String userId, List<String> groupIds, org.kie.internal.task.api.TaskContext context)`
    `protected void` | `doCallbackOperationForAttachment(org.kie.api.task.model.Attachment attachment, org.kie.internal.task.api.TaskContext context)`
    `protected void` | `doCallbackOperationForComment(org.kie.api.task.model.Comment comment, org.kie.internal.task.api.TaskContext context)`
    `protected void` | `doCallbackOperationForPeopleAssignments(org.kie.internal.task.api.model.InternalPeopleAssignments assignments, org.kie.internal.task.api.TaskContext context)`
    `protected void` | `doCallbackOperationForPotentialOwners(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners, org.kie.internal.task.api.TaskContext context)`
    `protected void` | `doCallbackOperationForTaskData(org.kie.internal.task.api.model.InternalTaskData data, org.kie.internal.task.api.TaskContext context)`
    `protected void` | `doCallbackOperationForTaskDeadlines(org.kie.internal.task.api.model.Deadlines deadlines, org.kie.internal.task.api.TaskContext context)`
    `protected boolean` | `doCallbackUserOperation(String userId, org.kie.internal.task.api.TaskContext context)`
    `protected boolean` | `doCallbackUserOperation(String userId, org.kie.internal.task.api.TaskContext context, boolean throwExceptionWhenNotFound)`
    `protected List<String>` | `doUserGroupCallbackOperation(String userId, List<String> groupIds, org.kie.internal.task.api.TaskContext context)`
    `T` | `execute(org.kie.api.runtime.Context context)`
    `protected List<String>` | `filterGroups(List<String> groups)`
    `protected boolean` | `isBusinessAdmin(String userId, List<org.kie.api.task.model.OrganizationalEntity> businessAdmins, org.kie.internal.task.api.TaskContext context)`
    `protected void` | `persistIfNotExists(org.kie.api.task.model.OrganizationalEntity entity, org.kie.internal.task.api.TaskContext context)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserGroupCallbackTaskCommand

          public UserGroupCallbackTaskCommand()

  - ### Method Detail

    - #### doUserGroupCallbackOperation

          protected List<String> doUserGroupCallbackOperation(String userId,
                                                              List<String> groupIds,
                                                              org.kie.internal.task.api.TaskContext context)

    - #### doCallbackUserOperation

          protected boolean doCallbackUserOperation(String userId,
                                                    org.kie.internal.task.api.TaskContext context)

    - #### doCallbackEmailOperation

          protected boolean doCallbackEmailOperation(String emailId,
                                                     org.kie.internal.task.api.TaskContext context)

    - #### doCallbackUserOperation

          protected boolean doCallbackUserOperation(String userId,
                                                    org.kie.internal.task.api.TaskContext context,
                                                    boolean throwExceptionWhenNotFound)

    - #### doCallbackAndReturnUserOperation

          protected org.kie.api.task.model.User doCallbackAndReturnUserOperation(String userId,
                                                                                 org.kie.internal.task.api.TaskContext context)

    - #### doCallbackGroupOperation

          protected boolean doCallbackGroupOperation(String groupId,
                                                     org.kie.internal.task.api.TaskContext context)

    - #### addUserFromCallbackOperation

          protected org.kie.api.task.model.User addUserFromCallbackOperation(String userId,
                                                                             org.kie.internal.task.api.TaskContext context)

    - #### addEmailFromCallbackOperation

          protected void addEmailFromCallbackOperation(String emailId,
                                                       org.kie.internal.task.api.TaskContext context)

    - #### persistIfNotExists

          protected void persistIfNotExists(org.kie.api.task.model.OrganizationalEntity entity,
                                            org.kie.internal.task.api.TaskContext context)

    - #### doCallbackGroupsOperation

          protected List<String> doCallbackGroupsOperation(String userId,
                                                           List<String> groupIds,
                                                           org.kie.internal.task.api.TaskContext context)

    - #### addGroupFromCallbackOperation

          protected void addGroupFromCallbackOperation(String groupId,
                                                       org.kie.internal.task.api.TaskContext context)

    - #### doCallbackOperationForTaskData

          protected void doCallbackOperationForTaskData(org.kie.internal.task.api.model.InternalTaskData data,
                                                        org.kie.internal.task.api.TaskContext context)

    - #### doCallbackOperationForPotentialOwners

          protected void doCallbackOperationForPotentialOwners(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners,
                                                               org.kie.internal.task.api.TaskContext context)

    - #### doCallbackOperationForPeopleAssignments

          protected void doCallbackOperationForPeopleAssignments(org.kie.internal.task.api.model.InternalPeopleAssignments assignments,
                                                                 org.kie.internal.task.api.TaskContext context)

    - #### doCallbackOperationForTaskDeadlines

          protected void doCallbackOperationForTaskDeadlines(org.kie.internal.task.api.model.Deadlines deadlines,
                                                             org.kie.internal.task.api.TaskContext context)

    - #### doCallbackOperationForComment

          protected void doCallbackOperationForComment(org.kie.api.task.model.Comment comment,
                                                       org.kie.internal.task.api.TaskContext context)

    - #### doCallbackOperationForAttachment

          protected void doCallbackOperationForAttachment(org.kie.api.task.model.Attachment attachment,
                                                          org.kie.internal.task.api.TaskContext context)

    - #### filterGroups

          protected List<String> filterGroups(List<String> groups)

    - #### isBusinessAdmin

          protected boolean isBusinessAdmin(String userId,
                                            List<org.kie.api.task.model.OrganizationalEntity> businessAdmins,
                                            org.kie.internal.task.api.TaskContext context)

    - #### execute

          public T execute(org.kie.api.runtime.Context context)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.